# hRET_s Union Reference

`#include <header.h>`

## Data Fields

const void * | ptr
const char ** | argv
const char * | str
uint_32 * | ui32p
uint_16 * | ui16p
int_32 * | i32p
int_16 * | i16p
int_8 * | i8p

## Detailed Description

Definition at line 265 of file header.h.

## Field Documentation

const void* hRET_s::ptr

Definition at line 266 of file header.h.

const char** hRET_s::argv

Definition at line 267 of file header.h.

const char* hRET_s::str

Definition at line 268 of file header.h.

uint_32* hRET_s::ui32p

Definition at line 269 of file header.h.

uint_16* hRET_s::ui16p

Definition at line 270 of file header.h.

int_32* hRET_s::i32p

Definition at line 271 of file header.h.

int_16* hRET_s::i16p

Definition at line 272 of file header.h.

int_8* hRET_s::i8p

Definition at line 273 of file header.h.

The documentation for this union was generated from the following file:

- lib/header.h